.container {
    height: 100px;
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;

    .loading-container {
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        padding: 36px 0;
        z-index: 1;
        top: 0;
        left: 0;
        border-radius: 16px;
        background-color: #ffffffcc;
    }

    .fieldsPart {
        height: 100px;
        width: 100%;
        background: #FFF;
        display: flex;
        align-items: center;
        flex-shrink: 0;
        border-radius: 16px;

        .field-section {
            position: relative;
            height: 100%;
            flex: 1 0 0;
            padding: 10px;

            &::after {
                content: '';
                border: 1px solid #F2F2F2;
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                right: 0;
                width: 1px;
                height: 65px;
                box-sizing: border-box;
            }

            &:last-child::after, &:nth-child(4):after {
                display: none;
            }

            .box-content {
                height: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: row;
                gap: 10px;

                .icon {
                    width: 48px;
                    height: 48px;
                    padding: 10px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    border-radius: 16px;

                    &.classes {
                        background: #D7F4E6;

                        svg {
                            path {
                                fill: #64CA99;
                            }
                        }
                    }

                    &.students {
                        background: #E7E4FB;

                        svg {

                            circle,
                            path {
                                fill: #7660FE;
                            }
                        }
                    }

                    &.teacherExams {
                        background: #FFE8D3;

                        svg {
                            path {
                                fill: #F79945;
                            }
                        }
                    }
                    &.unit-test-statistics {
                        background: #CDE7FF;
                        svg {
                            path {
                                fill: #1890FF;
                            }
                        }
                    }
                }

                .details {
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    align-items: flex-start;
                    gap: 5px;

                    .field-name {
                        display: flex;
                        flex-direction: column;
                        justify-content: center;

                        color: #8E91A0;
                        font-size: 14px;
                        font-style: normal;
                        font-weight: 500;
                        line-height: 20px;
                    }

                    .quantity {
                        color: #202226;
                        font-size: 20px;
                        font-style: normal;
                        font-weight: 600;
                        line-height: 20px;
                    }

                    .total-unit-test {
                        color: #202226;
                        font-size: 20px;
                        font-weight: 600;
                        line-height: 20px;
                        text-transform: uppercase;
                    }

                    .total-new-unit-test {
                        color: #7660FE;
                        font-size: 12px;
                        font-style: italic;
                        font-weight: 500;
                        line-height: 15px;
                    }
                }

                &:hover {
                    border-radius: 8px;
                    background: #FFF8F4;
                }
            }
        }
        .results-part {
            height: 100%;
            flex: 1 0 0;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            background: #E2F1FF;
            border-radius: 0px 16px 16px 0px;
            gap: 6px;

            .text {
                color: #08F;
                font-size: 14px;
                font-style: normal;
                font-weight: 500;
                line-height: 20px;
            }

            .icon {
                height: 26px;
                width: 26px;
                padding: 5px;
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: 100px;
                background: #08F;

                svg {
                    width: 100%;
                    height: 100%;
                    transform: rotate(180deg);

                    path {
                        fill: #FFFFFF;
                    }
                }
            }
        }
    }

}